Subject: Re: [PATCH] Spell __attribute__ correctly in cache.h.

From: Martijn Kuipers <[email-masked]>
Date: Mon, 29 Aug 2005 09:55:22 +0100

Sorry, I am not very familiar with all those command line options:
Anyway, redo was easy:
with: --std=c9x

gcc-2.95 --std=c9x -pedantic -Wall -W -ofoo foo.c
foo.c:5: field `b' has incomplete type
foo.c: In function `main':
foo.c:20: warning: unknown conversion type character `z' in format
foo.c:20: warning: unknown conversion type character `z' in format
foo.c:20: warning: unknown conversion type character `z' in format
foo.c:20: warning: too many arguments for format

I found one man-page online 
(http://gcc.gnu.org/onlinedocs/gcc-2.95.3/gcc_2.html#SEC3), which seemed 
to suggest -fstd=c9x (if I understood correclty). This gave the same 
results.

I hope this makes it a bit more useful :-)
If not, just let me know.

Kind regards,
Martijn

Antti-Juhani Kaijanaho wrote:

>Martijn Kuipers wrote:
>  
>
>>martijn@hobbes:~$ gcc-2.95 --std=c99 -pedantic -Wall -W -ofoo foo.c
>>cc1: unknown C standard `c99'
>>    
>>
>
>This makes this test a little less useful.  Try with --std=c9x (GCC 2.95
>is old enough not to know the standard by the "official" name).
>
>According to GCC 3.0 C99 status page [1], 3.0 supported flexible array
>members.  There is no similar page for 2.95.
>
>  
>